Skip to main content
GET
/
execution
/
balances
Get managed wallet balances
curl --request GET \
  --url https://api.agg.market/execution/balances \
  --header 'Authorization: Bearer <token>' \
  --header 'x-app-id: <api-key>'
[
  {
    "tokenSymbol": "<string>",
    "totalRaw": "<string>",
    "decimals": 123,
    "chains": [
      {
        "chainId": 123,
        "tokenAddress": "<string>",
        "balanceRaw": "<string>",
        "lastSyncedAt": "<string>"
      }
    ]
  }
]

Authorizations

x-app-id
string
header
required

Your application ID. Required for all app-tier and user-tier routes.

Authorization
string
header
required

JWT access token returned by POST /auth/verify. Required for user-tier routes.

Response

200

tokenSymbol
string
required
totalRaw
string
required
decimals
number
required
chains
object[]
required